import Step from '../Step';
import PlantList from './PlantList'

export default function ResultsStep(props) {

    function createData(name, growthForm, moisturePreferences, plantTolerances, ecosystemServices, carbonSequestration, plantingStage) {
        return {
            name,
            growthForm,
            moisturePreferences,
            plantTolerances,
            ecosystemServices,
            carbonSequestration,
            plantingStage
        };
    }

    const getTableRows = () => {
        return props.plants.map((plant) => {

            const name = `${plant.name}/${plant.commonname}/${plant.synonym}`;
            const growthForm = `${plant.growth_form}/${plant.maxheight}/${plant.spacing}`;
            const moisturePreferences = `${plant.soil_variants.map((variant) => variant.name).join(', ')}`;
            const plantTolerances = `${plant.water_tolerance.level}/${plant.drought_tolerance.level}/${plant.frost_tolerance.level}/${plant.salinity_tolerance.level}`;;
            const ecosystemServices = `${plant.purpose}`;
            const carbonSequestration = ``
            const plantingStage = `${plant.stage}`

            return createData(
                name,
                growthForm,
                moisturePreferences,
                plantTolerances,
                ecosystemServices,
                carbonSequestration,
                plantingStage
            );
        })
    }

    const stepContent = (
        <div className="pt-4">
            <PlantList rows={getTableRows()}/>
        </div>
    )

    return (
        <Step contentComponent={stepContent} />
    )
}
